%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define oname core
Name:           ocaml-%{oname}
Version:        113.24.01
Release:        %mkrel 3
Summary:        Industrial strength alternative to OCaml's standard library
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/core
Source0:        https://github.com/janestreet/core/archive/%{version}.tar.gz
BuildRequires:  ocaml-findlib >= 1.3.2
BuildRequires:  ocaml-oasis >= 0.4
BuildRequires:  opam
BuildRequires:  ocaml-bin_prot-devel
BuildRequires:  ocaml-core_kernel-devel
BuildRequires:  ocaml-fieldslib-devel
BuildRequires:  ocaml-ppx_assert-devel
BuildRequires:  ocaml-ppx_bench-devel
BuildRequires:  ocaml-ppx_driver-devel
BuildRequires:  ocaml-ppx_expect-devel
BuildRequires:  ocaml-ppx_inline_test-devel
BuildRequires:  ocaml-ppx_jane-devel
BuildRequires:  ocaml-sexplib-devel
BuildRequires:  ocaml-typerep-devel
BuildRequires:  ocaml-variantslib-devel
Requires:       ocaml-ppx_expect
Obsoletes:      ocaml-janest-core < 113.24.01-2
Provides:       ocaml-janest-core = %{version}-%{release}

%description
Industrial strength alternative to OCaml's standard library

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-res-devel
Requires:       ocaml-pa_ounit-devel
Requires:       ocaml-bin-prot-devel
Requires:       ocaml-herelib-devel
Requires:       ocaml-comparelib-devel
Requires:       ocaml-fieldslib-devel
Requires:       ocaml-sexplib-devel
Requires:       ocaml-variantslib-devel
Obsoletes:      ocaml-janest-core-devel < 113.24.01-2
Provides:       ocaml-janest-core-devel = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}
make

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install

%files
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/stubslibs/*.so
%{_bindir}/*

%files devel
%{_libdir}/ocaml/%{oname}/*.annot
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.h
%{_libdir}/ocaml/%{oname}/*.mlh


%changelog
* Thu Feb 25 2016 pterjan <pterjan> 113.24.01-3.mga6
+ Revision: 978941
- Add more missing dependencies
- Add missing dependency
- Obsolete ocaml-janest-core

* Wed Feb 24 2016 pterjan <pterjan> 113.24.01-1.mga6
+ Revision: 977903
- imported package ocaml-core

